GET /api/v3/widget/multipleenergystarbuildings/{specificWidgetId}

Retrieves a list of buildings for the Multiple ENERGY STAR Buildings widget. The widget is expecting zero, one, or many buildings, and alters its layout based on how many results it receives. Validation: - The provided specific widget must exist - The provided specific widget must be an Multiple ENERGY STAR Buildings widget

GetEnergyStarMultipleBuildingsV3 Paginated
Paginated endpoint — This API returns paginated results. Use the pageNumber and pageSize query parameters to control which page of results is returned. The response includes pagination metadata in the response headers. See the Pagination guide for details.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId Identifier for a specific ENERGY STAR widget on a dashboard integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Only used when a single building is returned. The number of years to go back from most recent score. Defaults to 2 years. If 0 is provided, will only include current score. integer (int32) Optional
filter Filter string which may add to or override saved filter values during this request string (string) Optional
pageSize The number of elements to return in a page integer (int32) Optional
pageNumber The current page number integer (int32) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Response Headers

This endpoint returns pagination metadata in the response headers.

Header Type Description
PageNumber integer The current page number (1-based).
PageSize integer The maximum number of items per page.
TotalNumberOfRecords integer The total number of records matching the query across all pages.
TotalPages integer The total number of pages. Increment pageNumber until it equals this value to retrieve all results.

See the Pagination guide for iteration examples and best practices.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyStarPlaceHierarchyResponse
Property Description Type
latestMetricsRetrievalStatus The status of the latest metrics retrieval for this place string
latestSubmissionDate The date that the latest submission for this place occurred string (date-time)
latestSubmissionStatus The status of the latest submission for this place string
metrics ENERGY STAR score data for the place If there are multiple places returned in the response, will be the most recent score EnergyStarPlaceMetricsResponse[]
EnergyStarPlaceMetricsResponse properties
Property Description Type
calendarPeriod The year and month for the ENERGY STAR score integer (int32)
dateReceived The date the score was received string (date-time)
nationalMedianScore The national median ENERGY STAR score for the same type of property integer (int32)
nationalMedianSiteEnergyUseIntensity The national median weather-normalized property energy use intensity (kBtu/ft²) number (double)
pctDiffNationalMedianSiteEnergyUseIntensity The percent difference in the property energy use intensity vs. the national median number (double)
score The ENERGY STAR score integer (int32)
siteEnergyUse The weather-normalized property energy use (kBtu) number (double)
siteEnergyUseIntensity The weather-normalized property energy use intensity (kBtu/ft²) number (double)
place PlaceChild
PlaceChild properties
Property Description Type
isDataRolledUp Tells whether or not the place’s data is rolled up to its parents. boolean
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeType PlaceTypeResponse
PlaceTypeResponse properties
Property Description Type
icon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
isSystemPlaceType Flag to indicate if the place type is a system-level place type boolean
placeEntityType PlaceEntityTypeV202406
PlaceEntityTypeV202406 properties
Property Description Type
placeEntityTypeId The place entity type identifier integer (int32)
placeEntityTypeInfo The place entity type name string
placeTypeCode The place type code string
placeTypeId The place type identifier integer (int32)
placeTypeInfo The place type info string
structure Indicates if the place is a structure boolean
placeSize PlaceSizeChild
PlaceSizeChild properties
Property Description Type
beginDate The effective start date for this place size record string (date-time)
endDate The effective end date for this place size record string (date-time)
placeSizeId The identifier for this PlaceSize record integer (int32)
unitCode The code for the unit this place size is measured in Must be between 0 and 16 characters Must be between 0 and 16 characters string
unitId The identifier for the unit this place size is measured in integer (int32)
unitInfo The name of the unit this place size is measured in Must be between 0 and 32 characters Must be between 0 and 32 characters string
value The value of the current place size record number (double)
placeSubmissionType SubmissionTypeResponse
SubmissionTypeResponse properties
Property Description Type
submissionTypeId The identifier for the submission type integer (int32)
submissionTypeName The name of the submission type string
Example Response application/json
[
  {    "latestMetricsRetrievalStatus": "string",    "latestSubmissionDate": "2026-03-30",    "latestSubmissionStatus": "string",    "metrics": [
      {      "calendarPeriod": 1,      "dateReceived": "2026-03-30",      "nationalMedianScore": 1,      "nationalMedianSiteEnergyUseIntensity": 1.0,      "pctDiffNationalMedianSiteEnergyUseIntensity": 1.0,      "score": 1,      "siteEnergyUse": 1.0,      "siteEnergyUseIntensity": 1.0
    }
    ],    "place": {      "isDataRolledUp": false,      "placeCode": "string",      "placeId": 1,      "placeInfo": "string",      "placeType": {}
    },    "placeSize": {      "beginDate": "2026-03-30",      "endDate": "2026-03-30",      "placeSizeId": 1,      "unitCode": "string",      "unitId": 1,      "unitInfo": "string",      "value": 1.0
    },    "placeSubmissionType": {      "submissionTypeId": 1,      "submissionTypeName": "string"
    }
  }
]